Subject: Re: [TEST] bond_macvlan_ipvlan.sh flakiness

From: Hangbin Liu <[email-masked]>
Date: Mon, 17 Nov 2025 08:24:30 +0000

On Fri, Nov 14, 2025 at 08:20:14AM -0800, Jakub Kicinski wrote:
> Hi Hangbin!
> 
> The flakiness of bond_macvlan_ipvlan.sh has increased quite a lot
> recently. Not sure if there's any correlation with kernel changes,
> I didn't spot anything in bonding itself. Here's the history of runs:
> 
> https://netdev.bots.linux.dev/contest.html?executor=vmksft-bonding&test=bond-macvlan-ipvlan-sh
> 
> It looks like it's gotten much worse starting around the 9th?
> 
> Only the non-debug kernel build is flaking, debug builds are completely
> clear:
> 
> https://netdev.bots.linux.dev/flakes.html?min-flip=0&tn-needle=bond-macvlan-ipvlan-sh
> 
> A few things that stood out to me, all the failures are like this:
> 
> # TEST: balance-$lb/$$$vlan_bridge: IPv4: client->$$$vlan_2   [FAIL]
> 
> Always IPv4 ping to the second interface, always fails neighbor
> resolution:
> 
> # 192.0.2.12 dev eth0 FAILED 
> 
> If it's ipvlan that fails rather than macvlan there is a bunch of
> otherhost drops:
> 
> # 17: ipvlan0@if15: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc noqueue state UNKNOWN mode DEFAULT group default qlen 1000
> #     link/ether 00:0a:0b:0c:0d:01 brd ff:ff:ff:ff:ff:ff link-netns s-8BLcCn
> #     RX:  bytes packets errors dropped  missed   mcast           
> #            702      10      0       0       0       3 
> #     RX errors:  length    crc   frame    fifo overrun otherhost
> #                      0      0       0       0       0         4

Hmm, this one is suspicious. I can reproduce the ping fail on local.
But no "otherhost" issue. I will check the failure recently.

Thanks
Hangbin
> 
> FWIW here's the contents of the branches if you want to look thru:
> https://netdev.bots.linux.dev/static/nipa/branch_deltas/net-next-2025-11-09--12-00.html
> but 9th was the weekend, and the failure just got more frequent,
> we've been trying to track this down for a while..